.video-container {
    position: relative;
    max-width: 800px;
    margin: auto;
    background-color: #000;
}

video {
    width: 100%;
}

.controls {
    display: flex;
    justify-content: space-around;
    background: rgba(0, 0, 0, 0.5);
    padding: 10px;
    position: absolute;
    bottom: 0;
    width: 100%;
}

button, input[type="range"] {
    margin: 0 10px;
    color: white;
    background: #333;
    border: none;
    padding: 5px;
    cursor: pointer;
}

button:hover, input[type="range"] {
    background: #555;
}